MMC Control Surface Module for SONAR

Copyright © 2002 Chris Boucher chris@sorted.org

Introduction

This module allows MMC devices to remotely control SONAR.

Contents

  • Requirements
  • Setup
  • Operation


Requirements

  • MMC capable device
  • Cakewalk SONAR 2.1 or higher


Setup

Start SONAR, select Options->Control Surfaces... and click on the yellow star-like button to add the MMC control surface. Set the MIDI In Port appropriately and the MIDI Out Port to "--- None ---".

Activate the "Control Surfaces" toolbar (View->Toolbars...)

Click on the Properties button, and select the desired jog wheel resolution.


Operation

The following MMC commands are currently supported:

MMC Command | SONAR Function
0x01 (Stop) | Transport | Stop
0x02 (Play) | Transport | Play
0x03 (Deferred Play) | Transport | Play
0x04 (Fast Forward) | Go | End
0x05 (Rewind) | Transport | Rewind
0x06 (Record Strobe) | Transport | Record
0x07 (Record Exit) | Transport | Stop
0x08 (Record Pause) | Transport | Stop
0x09 (Pause) | Transport | Stop
0x40 (Arm/Mute Track) |
0x44 (Locate) |
0x46 (Jog) |

You can configure the jog wheel resolution from the properties page.

Note: If you use Locate commands you should ensure that the same frame rate (24, 25, 30 or 30 Drop-frame) is selected in both SONAR (Options->Project...) and on the MMC device.